# accept_my_invitation

Source: <https://everruns.com/docs/api/operations/accept_my_invitation/>

POST

/v1/me/invitations/{public\_id}/accept

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/me/invitations/example/accept';
const options = {method: 'POST'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request POST \
  --url https://app.everruns.com/api/v1/me/invitations/example/accept
```

* Production APIapp.everruns.com/api/v1/me/invitations/{public\_id}/accept

Accept an actionable organization invitation addressed to the authenticated user’s verified email.

## Parameters

### Path Parameters

**public\_id**

required

string

Public invitation ID

## Responses

### 200

Invitation accepted

Media typeapplication/json

Accept response: where the caller now has membership.

object

**org\_id**

required

string

**role**

required

string

##### Examplegenerated

```json
{
  "org_id": "example",
  "role": "example"
}
```

### 401

Unauthorized

### 403

Email is unverified

### 404

Invitation not found

### 409

Invitation is revoked, accepted, or no longer actionable

### 410

Invitation expired